Keeping current with LiveUpdate

Symantec products depend on current information to protect your computer from newly discovered threats. Symantec makes this information available to you through LiveUpdate. Using your Internet connection, LiveUpdate obtains program updates and protection updates for your computer.

Your normal Internet access fees apply when you use LiveUpdate.

If your computer uses Windows 2000/XP, you must have Administrator access privileges to run LiveUpdate.


About program updates

Program updates are minor improvements to your installed product. These differ from product upgrades, which are newer versions of entire products. Program updates that have self-installers to replace existing software code are called patches. Patches are usually created to extend operating system or hardware compatibility, adjust a performance issue, or fix bugs.

LiveUpdate automates the process of obtaining and installing program updates. It locates and obtains files from an Internet site, installs them, and then deletes the leftover files from your computer.


About protection updates

Protection updates are files that are available from Symantec that keep your Symantec products up-to-date with the latest anti-threat technology. The protection updates you receive depend on which product you are using.

Norton AntiVirus, Norton AntiVirus Professional, Norton SystemWorks, Norton SystemWorks Professional, Symantec AntiVirus for Handhelds - Annual Service Edition

Users of Norton AntiVirus, Norton SystemWorks, and Symantec AntiVirus for Handhelds - Annual Service Edition products receive virus protection updates, which provide access to the latest virus signatures and other technology from Symantec.

Norton Internet Security, Norton Internet Security Professional

In addition to the virus protection updates, users of Norton Internet Security products also receive protection updates for Web filtering, intrusion detection, and Norton AntiSpam.

The Web filtering protection updates provide the latest lists of Web site addresses and Web site categories that are used to identify inappropriate Web content.

The intrusion detection updates provide the latest predefined firewall rules and updated lists of applications that access the Internet. These lists are used to identify unauthorized access attempts to your computer.

Norton AntiSpam updates provide the latest spam definitions and updated lists of spam email characteristics. These lists are used to identify unsolicited email.

Norton Personal Firewall

Users of Norton Personal Firewall receive intrusion detection updates for the latest predefined firewall rules and updated lists of applications that access the Internet.

Norton AntiSpam

Users of Norton AntiSpam receive the latest spam definitions and updated lists of spam email characteristics.


Obtain updates using LiveUpdate

LiveUpdate checks for updates to all of the Symantec products that are installed on your computer.

If your Internet service provider does not automatically connect you to the Internet, connect to the Internet first, and then run LiveUpdate.

To obtain updates using LiveUpdate

  1. At the top of the main window, click LiveUpdate.
  2. In the LiveUpdate window, click Next to locate updates.
  3. If updates are available, click Next to download and install them.
  4. When the installation is complete, click Finish.
Some program updates may require that you restart your computer after you install them.


When you should update

Run LiveUpdate as soon as you have installed your product. Once you know that your files are up-to-date, run LiveUpdate regularly to obtain updates. For example, to keep your virus protection current, you should use LiveUpdate once a week or whenever new viruses are discovered. Program updates are released on an as-needed basis.


If you can't use LiveUpdate

When new updates become available, Symantec posts them on the Symantec Web site. If you can't run LiveUpdate, you can obtain new updates from the Symantec Web site.

To obtain updates from the Symantec Web site

  1. Point your Web browser to securityresponse.symantec.com
  2. Follow the links to obtain the type of update that you need.


Set LiveUpdate to Interactive or Express mode

LiveUpdate runs in either Interactive or Express mode. In Interactive mode (the default), LiveUpdate downloads a list of updates that are available for your Symantec products that are supported by LiveUpdate technology. You can then choose which updates you want to install. In Express mode, LiveUpdate automatically installs all available updates for your Symantec products.

To set LiveUpdate to Interactive or Express mode

  1. At the top of the main window, click LiveUpdate.
  2. In the LiveUpdate welcome screen, click Configure.
  3. In the LiveUpdate Configuration dialog box, on the General tab, select the mode that you want. Your options are:

    Interactive Mode

    Gives you the option of choosing which updates you want to install

    Express Mode

    Automatically installs all available updates

  4. If you selected Express Mode, select how you want to start checking for updates. Your options are:

    I want to press the start button to run LiveUpdate

    Gives you the option of cancelling the update

    I want LiveUpdate to start automatically

    Installs updates automatically whenever you start LiveUpdate

  5. To have access to a Symantec self-help Web site in the event that an error occurs while using LiveUpdate, check Enable Enhanced Error Support.
  6. Click OK.

More Information

Turn off Express mode


Turn off Express mode

Once you have set LiveUpdate to run in Express mode, you can no longer access the LiveUpdate Configuration dialog box directly from LiveUpdate. You must use the Symantec LiveUpdate control panel.

To turn off Express mode

  1. On the Windows taskbar, click Start > Settings > Control Panel.
  2. In the Control Panel window, double-click Symantec LiveUpdate.
  3. In the LiveUpdate Configuration dialog box, on the General tab, click Interactive Mode.
  4. Click OK.


If you run LiveUpdate on an internal network

If you run LiveUpdate on a computer that is connected to a network that is behind a company firewall, your network administrator might set up an internal LiveUpdate server on the network. LiveUpdate should find this location automatically.

If you have trouble connecting to an internal LiveUpdate server, contact your network administrator.